Index: /extensions/event_cats/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/event_cats/language/it_IT/plugin.lang.php	(revision 16629)
+++ /extensions/event_cats/language/it_IT/plugin.lang.php	(revision 16630)
@@ -176,5 +176,8 @@
 $lang['Grant to users btn'] = 'Ammetti duplicazione agli utenti selezionati';
 $lang['Register replacement'] = 'Link di registrazione: %1$s per tutti gli account che possono essere duplicati, %1$s rimpiazza  "%2$s" con "%3$s"';
-$lang['ec_help_banner1_config'] = '<span class = "help_i"> Duplica un account </ span> quando un utente è già identificato, crea un altro account con esattamente le stesse autorizzazioni: non è necessario attendere la convalida di un amministratore.&nbsp;- Selezionare la pagina che si vuole visualizzare in caso di utilizzo di codice sconosciuto (per esempio, un codice che è stato cancellato).&nbsp;- Nella scheda "Autolog voci", i commenti possono essere visualizzate come tooltips, o su una nuova linea sotto il codice.&nbsp;-Mentrecome si sta leggendo, il banner di aiuto è attivo;-)!&nbsp;- Visualizza il link "connessione" per gli utenti generici, permette agli utenti già registrati nella tua galleria di accedere facilmente.';
+$lang['ec_help_banner1_config'] = '<span class = "help_i"> Duplica un account </span> quando un utente è già identificato, crea un altro account con le stesse autorizzazioni: non è necessario attendere la convalida di un amministratore.&nbsp;- Selezionare la pagina che si vuole visualizzare in caso di utilizzo di codice sconosciuto (per esempio, un codice che è stato cancellato).&nbsp;- Nella scheda "Autolog voci", i commenti possono essere visualizzati come tooltips, o su una nuova linea sotto il codice.&nbsp;-Mentre si sta leggendo, il banner di aiuto è attivo;-)&nbsp;!&nbsp;- Visualizza il link "connessione" per gli utenti generici, permette agli utenti già registrati nella tua galleria di accedere facilmente.';
 $lang['ec_help_banner1_entries'] = '<ul> <li style = "list-style-image:url(plugins/event_cats/icon/disable.png);"> <span class = "help_b"> Segna come voce obsoleta </ span>: per rendere un codice non più utilizzabile ma con un messaggio personalizzato; </ li> style = <li "list-style-image:url(plugins/event_cats/icon/nforced.png);"> class = <span "help_b"> Forza </ span>: per impedire agli utenti di accedere ad altre pagine modificando l\'URL; style = <li "list-style-image:url(plugins/event_cats/icon/forced.png);"> <span class = "help_b" > non forzare </ span>: si può utilizzare lo stesso codice per raggiungere diverse pagine; </ li> <li style = "list-style-image: url (plugins / event_cats / icona / duplicate.png) : "> <span class = "help_b"> Copia </ span>: crea una nuova voce utilizzando lo stesso codice, ma titolata a una pagina diversa, </ li> <li style =" list-style-image: url (plugins/event_cats/icon/url2.png); "> <span class = "help_b"> Test </ span>: per controllare il funzionamento;-); </ li> <li style =" list-style -image: url (plugins / event_cats / icona / delete.png); "> <span class = "help_b"> Elimina </ span>: Elimina voce; </ li> <li style =" list-style-image: url (plugins / event_cats / icona / modify.png); "> <span class = "help_b"> Modifica </ span>:. Modifica voce </ ul>';
+$lang['ec_help_banner1_duplic'] = '<span class = "help_i">Duplicare un account </span> quando un utente è già identificato, crea un altro account con le stesse autorizzazioni: non è necessario attendere la convalida di un amministratore. Seleziona i <span class = "help_bi">gruppi</span>, i <span class = "help_bi">tipi</span> e&nbsp;/&nbsp;o direttamente gli <span class = "help_bi">utenti</span> che possono duplicare il proprio account. "<span class = "help_b">Registrati</span>" per visualizzare gli account generici in modo che la loro duplicazione sia trasparente (vedere <a href="popuphelp.php?page=help" onclick="popuphelp(this.href); return false;" title="Aide"><img src="admin/template/goto/theme/clear/icon/help.png" class="button" alt="(?)">&nbsp;la pagina di aiuto</a> per maggiori dettagli).';
+$lang['ec_help_banner2_new_c'] = 'Copiare una voce da associare ad un <span class = "help_bi">codice</span> (sempre associato all\'utente stesso da identificare), una <span class = "help_bi">pagina diversa</span> da visualizzare, per esempio nel caso di un altro evento (cioè un album diverso) per presentare allo stesso gruppo di persone.
+<span class = "help_b">Annulla</spam> per tornare alla creazione di un codice "normale".';
 ?>