Index: extensions/Comments_Access_Manager/language/tr_TR/help.lang.php
===================================================================
--- extensions/Comments_Access_Manager/language/tr_TR/help.lang.php	(revision 16634)
+++ extensions/Comments_Access_Manager/language/tr_TR/help.lang.php	(revision 16634)
@@ -0,0 +1,29 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['CM_CommentsValidationOffTitle_d'] = 'Genişletilmiş seçenekleri burada görmek için bu seçeneği etkinleştirin.';
+$lang['CM_CommentsValidationOffTitle'] = 'Yorumlar için &quot;Doğrulama&quot; devre dışıdır';
+$lang['CM_GroupCommTitle'] = 'Bir kullanıcı grubuna yorumlara izin verir';
+$lang['CM_ValidCommTitle'] = 'Bir yönetici tarafından doğrulama olmadan yorumlara izin verir';
+$lang['CM_commentTitle_d'] = 'Bu seçenek, eğer <b>&quot;Tümü için yorum&quot;</b> seçeneği etkin ise (kayıtlı olmayan ziyaretçilerin yorum gönderebilmesi izni) yorumlarının kabul edilmesi için kayıtlı olmayan ziyaretçileri takma ad girmeleri konusunda zorlar.';
+$lang['CM_commentTitle'] = 'Ziyaretçi yorumları için takma ad zorunludur';
+?>
Index: extensions/Comments_Access_Manager/language/tr_TR/plugin.lang.php
===================================================================
--- extensions/Comments_Access_Manager/language/tr_TR/plugin.lang.php	(revision 16572)
+++ extensions/Comments_Access_Manager/language/tr_TR/plugin.lang.php	(revision 16634)
@@ -30,3 +30,14 @@
 $lang['CM_save_config'] = 'Yapılandırma başarıyla kaydedildi!';
 $lang['CM_submit'] = 'Ayarları Kaydet';
+$lang['CM_CommentsValidationOff'] = 'Yorumlar için "Doğrulama" <b style="color:red;">Devre Dışı</b>';
+$lang['CM_CommentsValidationOn'] = 'Yorumlar için "Doğrulama" <b style="color:red;">Etkin</b>';
+$lang['CM_Comments_For_Group'] = 'Bir kullanıcı grubuna yorumlara izin verir';
+$lang['CM_Empty Author'] = 'Yorum yazarı için takma ad zorunludur!';
+$lang['CM_No_Anonymous_Comments'] = 'Ziyaretçi yorumları için takma ad zorunludur!';
+$lang['CM_Not_Allowed_Author'] = 'Üzgünüz,yorum göndermek için yetkiniz bulunmamaktadır.Lütfen site yönetimine başvurun.';
+$lang['CM_Support_txt'] = 'Bu eklenti için resmi desteğe sadece bu iki Piwigo forum başlığından erişebilirsiniz:<br>
+<a href="http://piwigo.org/forum/viewtopic.php?id=17577" onclick="window.open(this.href);return false;">English forum - http://piwigo.org/forum/viewtopic.php?id=17577</a><br><br>
+Proje bugtracker sayfası:<a href="http://piwigo.org/bugs/" onclick="window.open(this.href);return false;">http://piwigo.org/bugs/</a>';
+$lang['CM_ValidComm_Group'] = 'Doğrulama gerektirmeden yorum gönderme izni vereceğiniz kullanıcı grubunu seçin:';
+$lang['CM_Validation_For_Group'] = 'Bir yönetici tarafından doğrulama olmadan yorumlara izin verir';
 ?>