Index: /extensions/Autosize/js/Affiche_script.js
===================================================================
--- /extensions/Autosize/js/Affiche_script.js	(revision 16637)
+++ /extensions/Autosize/js/Affiche_script.js	(revision 16638)
@@ -377,10 +377,10 @@
       var winwidth = infos_body.width;
       var winheight = infos_body.height;
-      nds = jQuery("#imageInfos").css("display"); //inline-block //block simple
-      nds1 = jQuery("#menubar").css("display"); //inline
       if (Type_Img == "pamoorama") {
         theMainImage_obj = "#pamoorama";
-      }
-      Zone_image = Calcul_Image(nds == "none");
+        Zone_image = Calcul_Image(infos_imageInfos.visible == false);
+      } else {
+        Zone_image = Calcul_Image(infos_imageInfos.visible == false);
+      }
       //=================================================================
       old_window = jQuery(window).infos();
@@ -577,4 +577,5 @@
       jQuery(theMainImage_obj).height(Zone_image.image.height);
       jQuery(theMainImage_obj).width(Zone_image.image.width);
+      
       return true;
 
@@ -1194,7 +1195,4 @@
         //=============================================================
         infos_pamoorama = jQuery("#pamoorama").infos();
-        new_width = infos_pamoorama.width - (infos_pamoorama.borderwidth.left + infos_pamoorama.borderwidth.right);
-        Zone_image = Calcul_Image(false);
-        Set_Pamoorama();
         if (Math.abs(infos_pamoorama.height) < 50) {
           setTimeout("Wait_pamoorama()", 500);
@@ -1203,4 +1201,5 @@
         nopano = true;
         theMainImage_obj = "#pamoorama";
+
       }
     } // Wait_pamoorama
@@ -1566,8 +1565,8 @@
         if (!nopano) {
           Wait_pamoorama();
+          
         }
         infos_img = jQuery(theMainImage_obj).infos();
         infos_footer = jQuery("#pamoorama_footer").infos();
-
         infos_img.height += parseInt(infos_img.height) + parseInt(infos_footer.height);
 
@@ -1809,7 +1808,7 @@
         th = infos_body.height;
         tw = infos_body.width;
-
-        nds = jQuery("#imageInfos").css("display"); //inline-block 
-        Zone_image = Calcul_Image(nds == "none");
+        infos_imageInfos
+
+        Zone_image = Calcul_Image(infos_imageInfos.visible == false);
         n0 = 0;
         n1 = 0;
@@ -1882,5 +1881,5 @@
         }
 
-
+        Zone_image = Calcul_Image(infos_imageInfos.visible == false);
         infos_pamoorama = jQuery("#pamoorama").infos();
         infos_pamoorama_outter = jQuery("#pamoorama_outter").infos();
@@ -2078,40 +2077,26 @@
       }
 
-      retrait_w = Math.ceil(infos_theImage.margin.left
-                                + infos_theImage.margin.right
-                                + infos_theImage.borderwidth.left
-                                + infos_theImage.borderwidth.right
-                                + infos_theImage.padding.left
-                                + infos_theImage.padding.right);
-
-
-      retrait_w += Math.ceil(infos_the_page.margin.left
-                                + infos_the_page.margin.right
-                                + infos_the_page.borderwidth.left
-                                + infos_the_page.borderwidth.right
-                                + infos_the_page.padding.left
-                                + infos_the_page.padding.right);
-
-      retrait_w += Math.ceil(infos_body.margin.left +
-                                infos_body.margin.right);
-
-      retrait_w += Math.ceil(infos_content.margin.left +
-                                infos_content.margin.right);
+      retrait_w = Math.ceil(infos_theImage.general.marges.width
+
+                                );
+
+
+      retrait_w += Math.ceil(infos_the_page.general.marges.width
+
+                                );
+
+      retrait_w += Math.ceil(infos_body.general.marges.width);
+
+      retrait_w += Math.ceil(infos_content.general.marges.width);
 
 
       pos_top = Math.ceil(infos_theImageAndInfos.top
-                     + infos_theImageAndInfos.margin.top
-                     + infos_content.borderwidth.top
-                     + infos_content.borderwidth.bottom
-                     + infos_content.margin.top
-                     + infos_content.margin.bottom);
+                     + infos_theImageAndInfos.general.marges.height
+);
 
       retrait_h = Math.ceil(pos_top
                          + infos_theImage.margin.top
-                                + infos_theImage.margin.bottom
-                                + infos_theImage.borderwidth.top
-                                + infos_theImage.borderwidth.bottom
-                                + infos_theImage.padding.top
-                                + infos_theImage.padding.bottom);
+                                + infos_theImage.general.marges.height
+                                );
 
 
@@ -2120,31 +2105,31 @@
       });
 
-      retrait_img = Math.ceil(infos_theMainImage.borderwidth.left
-                    + infos_theMainImage.borderwidth.right
-                    + infos_theMainImage.padding.left
-                    + infos_theMainImage.padding.right);
-      retrait_img += Math.ceil(infos_llgbo.borderwidth.right + infos_llgbo.borderwidth.right);
-
+      retrait_img = Math.ceil(
+                      infos_theMainImage.general.marges.width
+                    );
+      retrait_img += Math.ceil(
+                       infos_llgbo.borderwidth.left
+                     + infos_llgbo.borderwidth.right
+                     );
+
+      retrait_img += Math.ceil(
+                                  infos_the_page.general.marges.width
+                                );
 
 
 
       //  menuSwitcherwidth+padding
+
 
       if (theme.match(RegExp("elegant", "gi"))) {
         if (all_width != true) {
-          new_width = Math.ceil(
-                                infos_imageInfos.width +
-                                infos_imageInfos.borderwidth.left +
-                                infos_imageInfos.borderwidth.right +
-                                infos_imageInfos.margin.left +
-                                infos_imageInfos.borderwidth.right +
-                                infos_imageInfos.padding.left +
-                                infos_imageInfos.padding.right);
-     
+          marge_right = infos_imageInfos.general.width;
         } else {
-          new_width = 0;
-        }
-        width_theImage = (infos_body.width - new_width)
-        retrait_w += 20; //???
+          marge_right = 0;
+        }
+
+        wx1 = infos_theImage.general.width;
+        width_theImage = (infos_body.width - marge_right - 1)
+
 
       } else if (theme.match(RegExp("stripped", "gi"))) {
@@ -2159,5 +2144,7 @@
         marginLeft = infos_content.margin.left;
         infos_menubar_dl = jQuery("#menubar dl").infos();
-        marginLeft = infos_menubar_dl.margin.left + infos_menubar_dl.left + infos_menubar_dl.width;
+        marginLeft = infos_menubar_dl.margin.left
+                    + infos_menubar_dl.left
+                    + infos_menubar_dl.width;
         if (infos_menubar_dl.visible == "false")
          if (!theme.match(RegExp("sylvia", "gi")))
@@ -2267,8 +2254,8 @@
     marge_basse = 0;
     if (conf.MargeBasse)
-      marge_basse = jQuery().Get_Val_int(conf.MargeBasse);
+      marge_basse = jQuery(Obj).Get_Val_int(conf.MargeBasse);
     marge_top = 0;
     if (conf.MargeHaute)
-      marge_top = jQuery().Get_Val_int(conf.MargeHaute);
+      marge_top = jQuery(Obj).Get_Val_int(conf.MargeHaute);
     infos_Obj = jQuery(Obj).infos();
     h1_left = jQuery(Obj).absoluteLeft();
Index: /extensions/Autosize/js/autosize.dimensions.js
===================================================================
--- /extensions/Autosize/js/autosize.dimensions.js	(revision 16637)
+++ /extensions/Autosize/js/autosize.dimensions.js	(revision 16638)
@@ -8,5 +8,5 @@
 * $LastChangedDate: 2010-10-23 08:43:48 -0600 (Thu, 20 Dec 2007) $
 * By cljosse
-* Version: 1.2
+* Version: 1.3
 *
 * Requires: jQuery 1.2+
@@ -135,5 +135,6 @@
         if (elem.nodeName) nodeName = elem.nodeName;
 
-
+        width = jQuery(elem).width();
+        height = jQuery(elem).height();
         if (elem == window) {
 
@@ -141,29 +142,31 @@
           width = jQuery(elem).width();
           height = jQuery(elem).height();
+          out_width = width;
+          out_height = height;
         } else {
 
           Css = jQuery(elem).getStyles(elem);
           myposition = Css.position.toString() || "";
-          width = jQuery(elem).outerWidth();
-          height = jQuery(elem).outerHeight();
+          out_width = jQuery(elem).outerWidth();
+          out_height = jQuery(elem).outerHeight();
           elem_parent =elem.parentElement;
           if (typeof elem_parent == "undefined") {
             elem_parent = window;
           }
+          out_width = jQuery(elem).outerWidth();
+          out_height = jQuery(elem).outerHeight();
+          in_width = jQuery(elem).innerWidth();
+          in_height = jQuery(elem).innerHeight();
           if (typeof Css.width != "undefined")
-            width = jQuery(elem).Get_Val_int(Css.width, jQuery(elem_parent).width(), 0);
+            width = Get_Val_int(Css.width, jQuery(elem_parent).width(), 0);
 
           if (typeof Css.height != "undefined")
-            height = jQuery(elem).Get_Val_int(Css.height, jQuery(elem_parent).height(), 0);
-
-
-
-
-
-
-          borderwidth.left = jQuery(elem).Get_Val_int(Css.borderLeftWidth, "", "", 'borderLeftWidth');
-          borderwidth.right = jQuery(elem).Get_Val_int(Css.borderRightWidth, "", "", 'borderRightWidth');
-          borderwidth.top = jQuery(elem).Get_Val_int(Css.borderTopWidth, "", "", 'borderTopWidth');
-          borderwidth.bottom = jQuery(elem).Get_Val_int(Css.borderBottomWidth, "", "", 'borderBottomWidth');
+            height = Get_Val_int(Css.height, jQuery(elem_parent).height(), 0);
+
+
+          borderwidth.left = Get_Val_int(Css.borderLeftWidth, "", "", { elem: elem, prop: 'borderLeftWidth' });
+          borderwidth.right = Get_Val_int(Css.borderRightWidth, "", "", { elem: elem, prop: 'borderRightWidth' });
+          borderwidth.top = Get_Val_int(Css.borderTopWidth, "", "", { elem: elem, prop: 'borderTopWidth' });
+          borderwidth.bottom = Get_Val_int(Css.borderBottomWidth, "", "", { elem: elem, prop: 'borderBottomWidth' });
           try {
             borderwidth.width = Css.borderWidth;
@@ -172,10 +175,8 @@
           }
 
-
-
-          margin.left = jQuery(elem).Get_Val_int(Css.marginLeft, "", "", 'marginLeft');
-          margin.right = jQuery(elem).Get_Val_int(Css.marginRight, "", "", 'marginRight');
-          margin.top = jQuery(elem).Get_Val_int(Css.marginTop, "", "", 'marginTop');
-          margin.bottom = jQuery(elem).Get_Val_int(Css.marginBottom, "", "", 'marginBottom');
+          margin.left = Get_Val_int(Css.marginLeft, "", "", { elem: elem, prop: 'marginLeft' });
+          margin.right = Get_Val_int(Css.marginRight, "", "", { elem: elem, prop: 'marginRight' });
+          margin.top = Get_Val_int(Css.marginTop, "", "", { elem: elem, prop: 'marginTop' });
+          margin.bottom = Get_Val_int(Css.marginBottom, "", "", { elem: elem, prop: 'marginBottom' });
 
 
@@ -187,8 +188,8 @@
 
 
-          padding.left = jQuery(elem).Get_Val_int(Css.paddingLeft, "", "", 'paddingLeft');
-          padding.right = jQuery(elem).Get_Val_int(Css.paddingRight, "", "", 'paddingRight');
-          padding.top = jQuery(elem).Get_Val_int(Css.paddingTop, "", "", 'paddingTop');
-          padding.bottom = jQuery(elem).Get_Val_int(Css.paddingBottom, "", "", 'paddingBottom');
+          padding.left = Get_Val_int(Css.paddingLeft, "", "", { elem: elem, prop: 'paddingLeft' });
+          padding.right = Get_Val_int(Css.paddingRight, "", "", { elem: elem, prop: 'paddingRight' });
+          padding.top = Get_Val_int(Css.paddingTop, "", "", { elem: elem, prop: 'paddingTop' });
+          padding.bottom = Get_Val_int(Css.paddingBottom, "", "", { elem: elem, prop: 'paddingBottom' });
 
           try {
@@ -208,15 +209,46 @@
        visible= jQuery(elem).is(':visible');
         results = {src: elem.src || "none",
-          visible: visible || "false",
+          visible: visible || false,
           position: myposition,
           top: Top,
           left: Left,
-          width: width,
+          width: width,  // valeur interieur
           height: height,
           right: Left + width,
           bottom: Top + height,
+
+          padding: padding,
+
+          out: {
+            width: in_width,
+            height: in_height,
+            right: Left + in_width,
+            bottom: Top + in_height
+          },
           borderwidth: borderwidth,
+          exterieur: {
+            width: out_width,
+            height: out_height,
+            right: Left + out_width,
+            bottom: Top + out_height
+          },
           margin: margin,
-          padding: padding,
+          general: {
+            width: out_width + margin.left + margin.right,
+            height: out_height + margin.top + margin.bottom,
+            right: Left + out_width + margin.left + margin.right,
+            bottom: Top + out_height + margin.top + margin.bottom,
+            marges: { height: margin.top + borderwidth.top + padding.top +
+                              margin.bottom + borderwidth.bottom + padding.bottom,
+              top: margin.top + borderwidth.top + padding.top,
+              bottom: margin.bottom + borderwidth.bottom + padding.bottom,
+              width: margin.left + borderwidth.left + padding.left +
+                              margin.right + borderwidth.right + padding.right,
+              left: margin.left + borderwidth.left + padding.left,
+              right: margin.right + borderwidth.right + padding.right
+            }
+
+
+          },
           id: id,
           nodeName: nodeName
@@ -295,11 +327,17 @@
       return propriete;
     },
-    /*
+    Get_Val_int: function (myObj, Maxi_val, Mini_val, prop) {
+
+      return Get_Val_int(myObj, Maxi_val, Mini_val, prop);
+    }
+  });
+
+  /**************************
     * Get_val_int
     * params: element,valeur maxi
     * return: valeur entiere
-    */
-
-    Get_Val_int: function (myObj, Maxi_val, Mini_val, prop) {
+  ******************************/
+  Get_Val_int = function (myObj, Maxi_val, Mini_val, prop) {
+
       var val = 0;
       Maxi_val = parseInt(Maxi_val || "0");
@@ -336,16 +374,18 @@
             break;
         }
-        el = this.get(0);
+
         var reg1 = new RegExp("auto", "g");
         if (myObj.match(reg1)) {
           return Maxi_val;
         }
-        if (prop)
-          myObj = num(el, prop);
-        else {
+
+      if (prop) {
+
+        myObj = num(prop.elem, prop.prop);
+      } else {
           reg1 = new RegExp("px", "g");
           if (myObj.match(reg1)) {
 
-            myObj = parseInt(myObj);
+          myObj = Parse_Int(myObj);
 
           } else {
@@ -356,27 +396,40 @@
               return val;
             }
-
-          }
-
-        }
-
+          }
+        }
         if (Mini_val)
           if (myObj < Mini_val) return Maxi_val;
-
-
-        val = parseInt(myObj);
+      val = Parse_Int(myObj);
 
       } else {
-        val = parseInt(myObj);
+      val = Parse_Int(myObj);
       }
-      if (typeof (val) == "NaN") return Maxi_val;
+    if (typeof (val) == "NaN")
+      return Maxi_val;
       return val;
+
     }
-  });
+
   /*
   *
   */
+  function Parse_Int(valeur_num) {
+  if (!jQuery.isNumeric(valeur_num)){
+    valeur_num = valeur_num.toString();
+    reg1 = new RegExp("px", "gi");
+    if (valeur_num.match(reg1)) {
+        valeur_num = valeur_num.replace(reg1, "");
+    } else {
+        valeur_num = valeur_num.replace(reg1, "");
+    }
+   }
+    valeur_num = Math.ceil(valeur_num);
+    return valeur_num || 0;
+  }
+
   function num(el, prop) {
-    return parseInt(jQuery.curCSS(el.jquery ? el[0] : el, prop, true)) || 0;
+    valeur_num = jQuery.curCSS(el.jquery ? el[0] : el, prop, true);
+
+    return Parse_Int(valeur_num);
   };
 