Index: /extensions/hotlink_compatibility/language/sk_SK/desc_content.html
===================================================================
--- /extensions/hotlink_compatibility/language/sk_SK/desc_content.html	(revision 16640)
+++ /extensions/hotlink_compatibility/language/sk_SK/desc_content.html	(revision 16640)
@@ -0,0 +1,9 @@
+Piwigo 2.4 predstavuje vlastnosť zobrazovania viacerych velkosti fotiek, ktorá obsahuje rad technických zmien, specialne v systeme suborov : namiesto dvoch alebo troch verzii pre kazdu fotku (velkost pre web, nahlad, vysoke rozlisenie), teraz uchovame iba jednu verziu (original) v adresaroch <i>upload</i> a <i>galleries</i>.
+Nasledky su nasledovne :
+<ul>
+  <li>rychle odkazy na "web size" sa stanu rychlymi odkazmi na originaly</li>
+  <li>rychle odkazy na HD uz nefunguju</li>
+  <li>rychle odkazy na nahlady uz nefunguju</li>
+</ul>
+Na vyriesenie tychto nasledkov sme vytvorili tento plugin, ktory skusi vytvorit alebo modifikovat subor .htaccess v jadre vasej instalacie. Tento subor obsahuje nejake pravidla na prepisovanie URL, ktore informuju vas host, ze linky k fotkam sa zmenili.<br>
+<b>Ak nepouzivate rychle odkazy k vasej galerii, nemusite aplikovat tuto aktualizaciu a odstrante tento plugin.</b>
Index: /extensions/hotlink_compatibility/language/sk_SK/index.php
===================================================================
--- /extensions/hotlink_compatibility/language/sk_SK/index.php	(revision 16640)
+++ /extensions/hotlink_compatibility/language/sk_SK/index.php	(revision 16640)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/hotlink_compatibility/language/sk_SK/plugin.lang.php
===================================================================
--- /extensions/hotlink_compatibility/language/sk_SK/plugin.lang.php	(revision 16640)
+++ /extensions/hotlink_compatibility/language/sk_SK/plugin.lang.php	(revision 16640)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['.htaccess file is not writable'] = 's&uacute;bor .htaccess nie je zapisovateln&yacute;';
+$lang['Apply upgrade anyway'] = 'Aplikova&#357; aktualiz&aacute;ciu aj tak';
+$lang['Apply upgrade'] = 'Aplikova&#357; aktualiz&aacute;ciu';
+$lang['Piwigo can\'t create or modify the .htaccess, you would have to do it manually if you want to apply this upgrade. Here is what you must put in the file:'] = 'Piwigo nem&ocirc;&#382;e vytvori&#357; alebo upravi&#357; s&uacute;bor .htaccess, mus&iacute;te to urobi&#357; manu&aacute;lne ak chcete aplikova&#357; t&uacute;to aktualiz&aacute;ciu. Tu je, &#269;o mus&iacute;te vlo&#382;i&#357; do s&uacute;boru:';
+$lang['Unable to activate RewriteEngine'] = 'Nemo&#382;n&eacute; aktivova&#357; RewriteEngine';
+$lang['Upgrade already applied, please remove this plugin'] = 'Aktualiz&aacute;cia je u&#382; aplikovan&aacute;, pros&iacute;m odoberte tento plugin';
+$lang['Upgrade successfully applied, please remove this plugin'] = 'Aktualiz&aacute;cia &uacute;spe&#353;ne aplikovan&aacute;, pros&iacute;m odoberte tento plugin';
+$lang['You already have a .htaccess file but it blocks the rewrite engine (line <i>RewriteEngine off</i>), please remove this line to allow Piwigo to apply the upgrade.'] = '.htaccess s&uacute;bor u&#382; existuje ale blokuje rewrite engine (line <i>RewriteEngine off</i>), odstr&aacute;&#328;te pros&iacute;m tento riadok aby Piwigo mohol aplikova&#357; aktualiz&aacute;ciu.';
+$lang['Your gallery is hosted by a service known to have issues with URL Rewriting, you apply this upgrade at your own risk.'] = 'Va&#353;a gal&eacute;ria je hos&#357;ovan&aacute; slu&#382;bou ktor&aacute; m&aacute;va probl&eacute;my s URL prepisovan&iacute;m. Aplikujte t&uacute;to aktualiz&aacute;ciu na vlastn&eacute; riziko. ';
+$lang['Your host may be incompatible with URL rewriting'] = 'V&aacute;&#353; host m&ocirc;&#382;e by&#357; nekompatibiln&yacute; s URL prepisovan&iacute;m';
+?>