Index: /trunk/language/fi_FI/upgrade.lang.php
===================================================================
--- /trunk/language/fi_FI/upgrade.lang.php	(revision 16646)
+++ /trunk/language/fi_FI/upgrade.lang.php	(revision 16646)
@@ -0,0 +1,40 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['All sub-albums of private albums become private'] = 'Kaikki yksityisten albumeiden ala-albumit ovat nyt yksityisiä';
+$lang['As a precaution, following plugins have been deactivated. You must check for plugins upgrade before reactiving them:'] = 'Seuraavat pluginit ovat varotoimenpiteenä otettu pois käytöstä. Sinun tulee tarkistaa teeman päivitykset ennen kuin aktivoit ne uudelleen:';
+$lang['As a precaution, following themes have been deactivated. You must check for themes upgrade before reactiving them:'] = 'Seuraavat teemat ovat varotoimenpiteenä otettu pois käytöstä. Sinun tulee tarkistaa teeman päivitykset ennen kuin aktivoit ne uudelleen:';
+$lang['In <i>%s</i>, before <b>?></b>, insert:'] = 'In <i>%s</i>, before <b>?></b>, insert:';
+$lang['Only administrator can run upgrade: please sign in below.'] = 'Vain admin voi ajaa päivityksen: ole hyvä ja kirjaudu alla.';
+$lang['Only thumbnails prefix and webmaster mail address have been saved from previous configuration'] = 'Vain thumbnailien etuliite ja webmasterin sähköpostiosoite on tallennettu edellisestä konfiguraatiosta';
+$lang['Perform a maintenance check in [Administration>Tools>Maintenance] if you encounter any problem.'] = 'Aja huoltotarkistus [Administration>Tools>Maintenance] jos kohtaat ongelmia.';
+$lang['SQL queries'] = 'SQL-pyynnöt';
+$lang['Statistics'] = 'Statistiikka';
+$lang['This page proposes to upgrade your database corresponding to your old version of Piwigo to the current version. The upgrade assistant thinks you are currently running a <strong>release %s</strong> (or equivalent).'] = 'Tämä sivu ehdottaa Piwigo-tietokantasi päivitystä vanhasta versiosta uuteen. Päivitystyökalun mukaan ajat <strong>versiota %s</strong> (tai vastaavaa)';
+$lang['Upgrade from version %s to %s'] = 'Päivitys versiosta %s versioon %s';
+$lang['Upgrade informations'] = 'Päivitystiedot';
+$lang['Upgrade'] = 'Päivitys';
+$lang['User permissions and group permissions have been erased'] = 'Käyttäjien ja ryhmien oikeudet on tyhjennetty';
+$lang['You do not have access rights to run upgrade'] = 'Sinulla ei ole oikeutta ajaa päivitystä';
+$lang['total SQL time'] = 'Totaali SQL-aika';
+$lang['total upgrade time'] = 'Totaali päivitysaika';
+?>