Index: /extensions/piwishack/language/el_GR/description.txt
===================================================================
--- /extensions/piwishack/language/el_GR/description.txt	(revision 16685)
+++ /extensions/piwishack/language/el_GR/description.txt	(revision 16685)
@@ -0,0 +1,1 @@
+Εμφανίζει μια διαμορφωμένη λίστα με συνδέσμους για να δείτε τις εικόνες σας σε ιστοσελίδες / blogs / forums.
Index: /extensions/piwishack/language/el_GR/index.php
===================================================================
--- /extensions/piwishack/language/el_GR/index.php	(revision 16685)
+++ /extensions/piwishack/language/el_GR/index.php	(revision 16685)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/piwishack/language/el_GR/plugin.lang.php
===================================================================
--- /extensions/piwishack/language/el_GR/plugin.lang.php	(revision 16685)
+++ /extensions/piwishack/language/el_GR/plugin.lang.php	(revision 16685)
@@ -0,0 +1,38 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Export_Perso_configurated'] = 'Μοιραστείτε τις φωτογραφίες σας σύμφωνα με τις προκαθορισμένες συνθήκες.';
+$lang['Partage_me'] = 'Μοιραστείτε την εικόνα σας.';
+$lang['Perso_writer_01'] = 'Προσαρμοσμένη μορφοποίηση, πεδία #1';
+$lang['Perso_writer_02'] = 'Προσαρμοσμένη μορφοποίηση, πεδία #2';
+$lang['Perso_writer_03'] = 'Προσαρμοσμένη μορφοποίηση, πεδία #3';
+$lang['Perso_writer_04'] = 'Προσαρμοσμένη μορφοποίηση, πεδία #4';
+$lang['Perso_writer_05'] = 'Προσαρμοσμένη μορφοποίηση, πεδία #5';
+$lang['Post_a_direct_link'] = 'Άμεσος σύνδεσμος για το αρχείο σας.';
+$lang['Post_on_a_forum'] = 'Μοιραστείτε τη μικρογραφία (κλικ) στο φόρουμ. Ετικέτες BBcode.';
+$lang['Post_on_a_website_dd'] = 'Μοιραστείτε την κανονική προβολή (clickable) σε sites. Ετικέτες HTML';
+$lang['Post_on_a_website_d'] = 'Μοιραστείτε τις μικρογραφίες (clickable) σε sites. Ετικέτες HTML.';
+$lang['close_window_piwishack'] = 'Κλείσιμο του PiwiShack παράθυρου';
+$lang['open_window_piwishack'] = 'Ανοίξτε το παράθυρο PiwiShack';
+$lang['text_intro_normal_view'] = 'Βλέποντας την κανονική προβολή.';
+$lang['text_intro_thumbnail'] = 'Εμφάνιση της μικρογραφίας.';
+?>