Index: /extensions/PWG_Stuffs/trunk/modules/BestRated/main.inc.php
===================================================================
--- /extensions/PWG_Stuffs/trunk/modules/BestRated/main.inc.php	(revision 16690)
+++ /extensions/PWG_Stuffs/trunk/modules/BestRated/main.inc.php	(revision 16691)
@@ -3,7 +3,8 @@
 if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
 
-global $page, $user, $conf;
+global $page, $user, $conf, $template;
 
 $page_save = $page;
+$tpl_save = $template->get_template_vars('THUMBNAILS');
 
 if (script_basename() == 'picture'
@@ -63,4 +64,5 @@
 
 $page = $page_save;
+$template->assign('THUMBNAILS', $tpl_save);
 
 ?>
Index: /extensions/PWG_Stuffs/trunk/modules/FeaturedPhotos/main.inc.php
===================================================================
--- /extensions/PWG_Stuffs/trunk/modules/FeaturedPhotos/main.inc.php	(revision 16690)
+++ /extensions/PWG_Stuffs/trunk/modules/FeaturedPhotos/main.inc.php	(revision 16691)
@@ -3,7 +3,8 @@
 if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
 
-global $page, $user, $conf;
+global $page, $user, $conf, $template;
 
 $page_save = $page;
+$tpl_save = $template->get_template_vars('THUMBNAILS');
 
 $forbidden = get_sql_condition_FandF
@@ -44,4 +45,5 @@
 
 $page = $page_save;
+$template->assign('THUMBNAILS', $tpl_save);
 
 ?>
Index: /extensions/PWG_Stuffs/trunk/modules/LastComs/main.inc.php
===================================================================
--- /extensions/PWG_Stuffs/trunk/modules/LastComs/main.inc.php	(revision 16690)
+++ /extensions/PWG_Stuffs/trunk/modules/LastComs/main.inc.php	(revision 16691)
@@ -161,5 +161,5 @@
   $elements = array();
   $query = '
-SELECT id, name, file, path, tn_ext
+SELECT *
   FROM '.IMAGES_TABLE.'
   WHERE id IN ('.implode(',', $element_ids).')
@@ -203,5 +203,5 @@
 
     // source of the thumbnail picture
-    $thumbnail_src = get_thumbnail_url( $elements[$comment['image_id']] );
+    $src_image = new SrcImage($elements[$comment['image_id']]);
 
     // link to the full size picture
@@ -217,5 +217,5 @@
       'ID' => $comment['comment_id'],
       'U_PICTURE' => $url,
-      'TN_SRC' => $thumbnail_src,
+      'src_image' => $src_image,
       'ALT' => $name,
       'AUTHOR' => trigger_event('render_comment_author', $comment['author']),
@@ -282,4 +282,5 @@
     array_push($block['comments'], $tpl_comment);
   }
+  $block['derivative_params'] = ImageStdParams::get_by_type(IMG_THUMB);
 }
 
Index: /extensions/PWG_Stuffs/trunk/modules/MostVisited/main.inc.php
===================================================================
--- /extensions/PWG_Stuffs/trunk/modules/MostVisited/main.inc.php	(revision 16690)
+++ /extensions/PWG_Stuffs/trunk/modules/MostVisited/main.inc.php	(revision 16691)
@@ -3,7 +3,8 @@
 if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
 
-global $page, $user, $conf;
+global $page, $user, $conf, $template;
 
 $page_save = $page;
+$tpl_save = $template->get_template_vars('THUMBNAILS');
 
 if (script_basename() == 'picture'
@@ -63,4 +64,5 @@
 
 $page = $page_save;
+$template->assign('THUMBNAILS', $tpl_save);
 
 ?>
Index: /extensions/PWG_Stuffs/trunk/modules/Recent/main.inc.php
===================================================================
--- /extensions/PWG_Stuffs/trunk/modules/Recent/main.inc.php	(revision 16690)
+++ /extensions/PWG_Stuffs/trunk/modules/Recent/main.inc.php	(revision 16691)
@@ -3,7 +3,8 @@
 if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
 
-global $page, $user, $conf;
+global $page, $user, $conf, $template;
 
 $page_save = $page;
+$tpl_save = $template->get_template_vars('THUMBNAILS');
 
 if (script_basename() == 'picture'
@@ -64,4 +65,5 @@
 
 $page = $page_save;
+$template->assign('THUMBNAILS', $tpl_save);
 
 ?>
Index: /extensions/PWG_Stuffs/trunk/theme/template/stuffs_lastcoms.tpl
===================================================================
--- /extensions/PWG_Stuffs/trunk/theme/template/stuffs_lastcoms.tpl	(revision 16690)
+++ /extensions/PWG_Stuffs/trunk/theme/template/stuffs_lastcoms.tpl	(revision 16691)
@@ -17,4 +17,5 @@
 <div id="comments">
 {assign var=comments value=$block.comments}
+{assign var='comment_derivative_params' value=$block.derivative_params}
 {include file='comment_list.tpl'}
 </div>