Index: extensions/FacebookPlug/Plugin/language/nl_NL/about.lang.php
===================================================================
--- extensions/FacebookPlug/Plugin/language/nl_NL/about.lang.php	(revision 16692)
+++ extensions/FacebookPlug/Plugin/language/nl_NL/about.lang.php	(revision 16692)
@@ -0,0 +1,26 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Piwigo application'] = 'Piwigo applicatie';
+$lang['Piwigo group'] = 'Piwigo groep';
+$lang['Visit Piwigo on Facebook website:'] = 'Bezoek Piwigo op Facebook:';
+?>
Index: extensions/FacebookPlug/Plugin/language/nl_NL/admin.lang.php
===================================================================
--- extensions/FacebookPlug/Plugin/language/nl_NL/admin.lang.php	(revision 16692)
+++ extensions/FacebookPlug/Plugin/language/nl_NL/admin.lang.php	(revision 16692)
@@ -0,0 +1,48 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang[' (?)'] = '(?)';
+$lang['Activity feed'] = 'Activiteits feed';
+$lang['Activity'] = 'Activiteit';
+$lang['Add Facebook Piwigo application on footer'] = 'Voeg de Facebook Piwigo applicatie toe aan voettekst';
+$lang['Add Facebook Piwigo group on footer'] = 'Voeg de Facebook Piwigo groep toe aan voettekst';
+$lang['Add a icon link on each album page to share on Facebook'] = 'Voeg een icon link toe aan elke album pagina om te delen op Facebook';
+$lang['Add a icon link on each picture page to share on Facebook'] = 'Voeg een icon link toe aan elke afbeelding pagina om te delen op Facebook';
+$lang['Add a icon link on each picture page to upload image on Facebook'] = 'Voeg een icon link toe aan elke afbeelding pagina om het te uploaden op Facebook';
+$lang['Add a link on each page footer'] = 'Voeg een link toe op elke pagina voettekst';
+$lang['Add a paragraph with Facebook link on about page'] = 'Voeg een paragraaf met Facebook link toe aan de \\'over\\' pagina
+';
+$lang['Add informations on about page'] = 'Voeg informatie toe aan de \\'over\\' pagina';
+$lang['Advanced'] = 'Uitgebreid';
+$lang['Always initialize Facebook'] = 'Initialiseer Facebook altijd';
+$lang['Asynchronous Facebook access'] = 'Asynchroon Facebook toegang';
+$lang['Buttons'] = 'Knoppen';
+$lang['Color scheme'] = 'Kleurenschema';
+$lang['Comments'] = 'Opmerkingen';
+$lang['Continue'] = 'Doorgaan';
+$lang['Data updated with error'] = 'Data geupdate met fout';
+$lang['Data updated with success'] = 'Data geupdate met succes';
+$lang['Develop by'] = 'Ontwikkeld door';
+$lang['Enabled'] = 'Ingeschakeld';
+$lang['Facebook Page URL'] = 'Facebook pagina URL';
+$lang['Height'] = 'Hoogte';
+?>
Index: extensions/FacebookPlug/Plugin/language/nl_NL/index.php
===================================================================
--- extensions/FacebookPlug/Plugin/language/nl_NL/index.php	(revision 16692)
+++ extensions/FacebookPlug/Plugin/language/nl_NL/index.php	(revision 16692)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>