Index: /extensions/Comments_Access_Manager/language/tr_TR/help.lang.php
===================================================================
--- /extensions/Comments_Access_Manager/language/tr_TR/help.lang.php	(revision 16703)
+++ /extensions/Comments_Access_Manager/language/tr_TR/help.lang.php	(revision 16704)
@@ -22,13 +22,20 @@
 // +-----------------------------------------------------------------------+
 $lang['CM_CommentsValidationOffTitle_d'] = 'Genişletilmiş seçenekleri burada görmek için bu seçeneği etkinleştirin.';
-$lang['CM_CommentsValidationOffTitle'] = 'Yorumlar için &quot;Doğrulama&quot; devre dışıdır';
+$lang['CM_CommentsValidationOffTitle'] = 'Yorumlar için &quot;Onaylama&quot; devre dışıdır';
 $lang['CM_GroupCommTitle'] = 'Bir kullanıcı grubu yorumlarına izin verir';
-$lang['CM_ValidCommTitle'] = 'Bir yönetici tarafından doğrulama olmadan yorumlara izin verir';
+$lang['CM_ValidCommTitle'] = 'Bir yönetici onayı gerektirmeden yorumlara izin verir';
 $lang['CM_commentTitle_d'] = 'Bu seçenek, eğer <b>&quot;Tümü için yorum&quot;</b> seçeneği etkin ise (kayıtlı olmayan ziyaretçilerin yorum gönderebilmesi izni) yorumlarının kabul edilmesi için kayıtlı olmayan ziyaretçileri takma ad girmeleri konusunda zorlar.';
 $lang['CM_commentTitle'] = 'Ziyaretçi yorumları için takma ad zorunludur';
-$lang['CM_GroupCommTitle_d'] = 'Bu seçenek, yorum gönderme izninin herkes için kapalı olarak yapılandırıldığı bir albümde yorum göndermesine izin verilecek
-bir kullanıcı grubu belirlemenizi sağlar.
+$lang['CM_GroupCommTitle_d'] = 'Bu seçenek, yorum gönderme izninin <u>hiçbiri için yoruma izin yok</u> şeklinde yapılandırıldığı bir albümde yorum göndermesine izin verilecek bir kullanıcı grubu belirlemenizi sağlar.
 <br><br>
-Varsayılan olarak, <b>&quot;herkes için yorum&quot;</b> seçeneği devre dışıyken sadece kayıtlı kullanıcılar yorum gönderebilir.
+Varsayılan olarak, <b>&quot;hepsi için yoruma izin ver&quot;</b> seçeneği devre dışıyken sadece kayıtlı kullanıcılar yorum gönderebilir.
 Bu seçenek ile, bir kullanıcı grubu seçerek bu davranışı kısıtlayabilirsiniz. Bu nedenle sadece kayıtlı kullanıcılar ve seçilen grup üyeleri yorum gönderebilir.';
+$lang['CM_ValidComm2Title_d'] = 'Bu seçenek, <u>hepsi için yoruma izin ver</u> şeklinde yapılandırılmış bir galeride ve yorum onayının bir yönetici tarafından yapılması gerektiği yerde, yönetici onayına gerek kalmadan yorumların sağlanacağı bir kullanıcı grubu belirlemenizi sağlar.
+<br><br>
+Varsayılan olarak, <b>&quot;hepsi için yoruma izin ver&quot;</b> seçeneği ve onay durumu etkin iken, kayıtlı kullanıcıların yorumları galeride gösterilmeden önce yönetici onayına gönderilir.
+Bu seçenek ile, belirlediğiniz bir kullanıcı grubuna ön onay gerektirmeden yorum gönderebilme yetkisi vermiş olursunuz.';
+$lang['CM_ValidCommTitle_d'] = 'Bu seçenek, <u>hiçbiri için yoruma izin yok</u> şeklinde yapılandırılmış bir galeride ve yorum onayının bir yönetici tarafından yapılması gerektiği yerde, yönetici onayına gerek kalmadan yorumların sağlanacağı bir kullanıcı grubu belirlemenizi sağlar.
+<br><br>
+Varsayılan olarak, <b>&quot;hepsi için yoruma izin ver&quot;</b> seçeneği devre dışı ve onay gerekliliği durumu etkin iken, kayıtlı kullanıcıların yorumları galeride gösterilmeden önce yönetici onayına gönderilir.
+Bu seçenek ile, belirlediğiniz bir kullanıcı grubuna ön onay gerektirmeden yorum gönderebilme yetkisi vermiş olursunuz.';
 ?>
Index: /extensions/Comments_Access_Manager/language/tr_TR/plugin.lang.php
===================================================================
--- /extensions/Comments_Access_Manager/language/tr_TR/plugin.lang.php	(revision 16703)
+++ /extensions/Comments_Access_Manager/language/tr_TR/plugin.lang.php	(revision 16704)
@@ -22,6 +22,6 @@
 // +-----------------------------------------------------------------------+
 $lang['CM_AllowedComm_Group'] = 'Yorum yazmak için izin verilen kullanıcı grubunu seçin:';
-$lang['CM_CommentsForAll'] = '"Herkes yorum yapabilir" option is <b style="color:red;">etkin</b>';
-$lang['CM_CommentsForRegistered'] = '"Herkes yorum yapabilir" option is <b style="color:red;">devre dışı</b>';
+$lang['CM_CommentsForAll'] = '"Hepsi için yoruma izin ver" seçeneği <b style="color:red;">Etkin</b>';
+$lang['CM_CommentsForRegistered'] = '"Hepsi için yoruma izin ver" seçeneği <b style="color:red;">Devre Dışı</b>';
 $lang['CM_Disable'] = 'Devre Dışı (varsayılan)';
 $lang['CM_Enable'] = 'Etkinleştir';
@@ -30,14 +30,14 @@
 $lang['CM_save_config'] = 'Yapılandırma başarıyla kaydedildi!';
 $lang['CM_submit'] = 'Ayarları Kaydet';
-$lang['CM_CommentsValidationOff'] = 'Yorumlar için "Doğrulama" <b style="color:red;">Devre Dışı</b>';
-$lang['CM_CommentsValidationOn'] = 'Yorumlar için "Doğrulama" <b style="color:red;">Etkin</b>';
-$lang['CM_Comments_For_Group'] = 'Bir kullanıcı grubuna yorumlara izin verir';
+$lang['CM_CommentsValidationOff'] = 'Yorumlar için "Onay" gerekliliği <b style="color:red;">Devre Dışı</b>';
+$lang['CM_CommentsValidationOn'] = 'Yorumlar için "Onay" gerekliliği <b style="color:red;">Etkin</b>';
+$lang['CM_Comments_For_Group'] = 'Bir kullanıcı grubu yorumlarına izin verir';
 $lang['CM_Empty Author'] = 'Yorum yazarı için takma ad zorunludur!';
 $lang['CM_No_Anonymous_Comments'] = 'Ziyaretçi yorumları için takma ad zorunludur!';
-$lang['CM_Not_Allowed_Author'] = 'Üzgünüz,yorum göndermek için yetkiniz bulunmamaktadır.Lütfen site yönetimine başvurun.';
+$lang['CM_Not_Allowed_Author'] = 'Üzgünüz,yorum göndermek için yetkiniz bulunmamaktadır.Lütfen yöneticiye başvurun.';
 $lang['CM_Support_txt'] = 'Bu eklenti için resmi desteğe sadece bu iki Piwigo forum başlığından erişebilirsiniz:<br>
 <a href="http://piwigo.org/forum/viewtopic.php?id=17577" onclick="window.open(this.href);return false;">English forum - http://piwigo.org/forum/viewtopic.php?id=17577</a><br><br>
 Proje bugtracker sayfası:<a href="http://piwigo.org/bugs/" onclick="window.open(this.href);return false;">http://piwigo.org/bugs/</a>';
-$lang['CM_ValidComm_Group'] = 'Doğrulama gerektirmeden yorum gönderme izni vereceğiniz kullanıcı grubunu seçin:';
-$lang['CM_Validation_For_Group'] = 'Bir yönetici tarafından doğrulama olmadan yorumlara izin verir';
+$lang['CM_ValidComm_Group'] = 'Onay gerektirmeden yorum gönderme izni vereceğiniz kullanıcı grubunu seçin:';
+$lang['CM_Validation_For_Group'] = 'Bir yönetici tarafından onay olmadan yorumlara izin verir';
 ?>