Index: /extensions/whois_online_menu/index.php
===================================================================
--- /extensions/whois_online_menu/index.php	(revision 16720)
+++ /extensions/whois_online_menu/index.php	(revision 16720)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/whois_online_menu/language/en_UK/description.txt
===================================================================
--- /extensions/whois_online_menu/language/en_UK/description.txt	(revision 16720)
+++ /extensions/whois_online_menu/language/en_UK/description.txt	(revision 16720)
@@ -0,0 +1,1 @@
+Add info whois_online in the menubar
Index: /extensions/whois_online_menu/language/en_UK/index.php
===================================================================
--- /extensions/whois_online_menu/language/en_UK/index.php	(revision 16720)
+++ /extensions/whois_online_menu/language/en_UK/index.php	(revision 16720)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/whois_online_menu/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/whois_online_menu/language/en_UK/plugin.lang.php	(revision 16720)
+++ /extensions/whois_online_menu/language/en_UK/plugin.lang.php	(revision 16720)
@@ -0,0 +1,3 @@
+<?php 
+$lang['Whois Online'] = "Whois Online";
+?>
Index: /extensions/whois_online_menu/language/fr_FR/description.txt
===================================================================
--- /extensions/whois_online_menu/language/fr_FR/description.txt	(revision 16720)
+++ /extensions/whois_online_menu/language/fr_FR/description.txt	(revision 16720)
@@ -0,0 +1,1 @@
+Ajouter le lien vers la page about en menu de niveau 1
Index: /extensions/whois_online_menu/language/fr_FR/index.php
===================================================================
--- /extensions/whois_online_menu/language/fr_FR/index.php	(revision 16720)
+++ /extensions/whois_online_menu/language/fr_FR/index.php	(revision 16720)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/whois_online_menu/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/whois_online_menu/language/fr_FR/plugin.lang.php	(revision 16720)
+++ /extensions/whois_online_menu/language/fr_FR/plugin.lang.php	(revision 16720)
@@ -0,0 +1,3 @@
+<?php 
+$lang['Whois Online'] = "Qui est en ligne";
+?>
Index: /extensions/whois_online_menu/language/index.php
===================================================================
--- /extensions/whois_online_menu/language/index.php	(revision 16720)
+++ /extensions/whois_online_menu/language/index.php	(revision 16720)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/whois_online_menu/main.inc.php
===================================================================
--- /extensions/whois_online_menu/main.inc.php	(revision 16720)
+++ /extensions/whois_online_menu/main.inc.php	(revision 16720)
@@ -0,0 +1,62 @@
+<?php
+/*
+Plugin Name: Whois Online in menu
+Version: 1
+Description: Add info whois_online in the menubar
+Plugin URI: http://piwigo.org
+Author: ddtddt
+Author URI:http://piwigo.org/ext/extension_view.php?eid=619
+*/
+
+if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
+
+define('W1M_DIR' , basename(dirname(__FILE__)));
+define('W1M_PATH' , PHPWG_PLUGINS_PATH . W1M_DIR . '/');
+
+	load_language('plugin.lang', W1M_PATH);
+	load_language('lang', PHPWG_ROOT_PATH.PWG_LOCAL_DIR, array('no_fallback'=>true, 'local'=>true) );
+
+add_event_handler('blockmanager_register_blocks', 'register_w1m_menubar_blocks');
+add_event_handler('blockmanager_apply', 'w1m_apply');
+
+function register_w1m_menubar_blocks( $menu_ref_arr )
+{
+  $menu = & $menu_ref_arr[0];
+  if ($menu->get_id() != 'menubar')
+    return;
+  $menu->register_block( new RegisteredBlock( 'mbWonline', 'Wonline', 'W1M'));
+}
+
+function w1m_apply($menu_ref_arr)
+{
+  global $template;
+
+ $menu = & $menu_ref_arr[0];
+ 
+      // Envoi des données au template
+	    $template->assign	(
+		array	(
+        'W1MTITLE'     => l10n('Whois Online'),
+				)			);
+
+ $template->assign('W1M_PATH', W1M_PATH);
+   
+    if (($block = $menu->get_block( 'mbWonline' )) != null) {
+	$template->set_template_dir(W1M_PATH.'template/');
+	$block->template = 'report_about.tpl';
+    }
+}
+
+add_event_handler('loc_begin_page_header', 'WHE1',20 );
+function WHE1()
+{
+
+global $template;
+
+$cachewol='';
+
+    $template->append('head_elements', $cachewol);
+}
+
+
+?>
Index: /extensions/whois_online_menu/template/index.php
===================================================================
--- /extensions/whois_online_menu/template/index.php	(revision 16720)
+++ /extensions/whois_online_menu/template/index.php	(revision 16720)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/whois_online_menu/template/report_about.tpl
===================================================================
--- /extensions/whois_online_menu/template/report_about.tpl	(revision 16720)
+++ /extensions/whois_online_menu/template/report_about.tpl	(revision 16720)
@@ -0,0 +1,47 @@
+{combine_css path="$W1M_PATH/template/style.css"}
+<dt>{$W1MTITLE}</dt><dd>
+<div class="Online2" style="float:right;text-align:center;margin-right:25px; margin-bottom:60px;">
+{if $Whois.Total > 0 and !$Whois.Slideshow}
+	{'Total hits:'|@translate} {if (is_admin())}<a href="./admin.php?page=plugin&amp;section=whois_online%2Fconfig.php&amp;tab=report" class="other">{$Whois.Total}</a>{else}{$Whois.Total}{/if}
+
+	{if $Whois.Current_10mins > 0}
+	<br />{if $Whois.Seen_url>''}<a href="{$Whois.Seen_url}" title="{'Your recently viewed pictures'|@translate}" rel="nofollow">{/if}
+	{'Most recent 10 minutes hits:'|@translate}
+	{if $Whois.Seen_url>''}</a>{/if}
+	 {$Whois.Current_10mins}
+	{/if}
+
+	<br />
+	{if $Whois.Review_url>''}<a href="{$Whois.Review_url}" title="{'Some of recently viewed pictures by other users'|@translate}" rel="nofollow">{/if}
+	{'Current hour hits:'|@translate}
+	{if $Whois.Review_url>''}</a>{/if}
+	 {$Whois.Current_hour}
+
+	{if $Whois.Yesterday > 0}
+	<br />
+	{'Yesterday hits:'|@translate} {$Whois.Yesterday}
+	{/if}
+
+	{if $Whois.Users_Last_day > 0}
+	<br />
+	{'Last 24h users:'|@translate} {$Whois.Users_Last_day}
+	{/if}
+
+	{if $Whois.Users_Last_hour > 0}
+	<br />
+	{'Last hour online users:'|@translate} {$Whois.Users_Last_hour}
+	{/if}
+
+	{if $Whois.Guests > 0}
+	<br />
+	{'Recent guest(s):'|@translate} {$Whois.Guests}
+	{/if}
+
+	{if count($Whois.Online) > 0}
+	<br />
+	{'Recent member(s):'|@translate} {','|@implode:$Whois.Online|@substr:0:70}{if (strlen(implode(',',$Whois.Online))>70)}...{/if}
+	{/if}
+	
+{/if}
+</div>
+</dd>
Index: /extensions/whois_online_menu/template/style.css
===================================================================
--- /extensions/whois_online_menu/template/style.css	(revision 16720)
+++ /extensions/whois_online_menu/template/style.css	(revision 16720)
@@ -0,0 +1,3 @@
+.Online {
+  display:none;
+}